Subject: bug#60338: [PATCH] Add option to present server changes as diffs

From: João Távora <[email-masked]>
Date: Fri, 01 Sep 2023 01:06:35 +0100

Hello,

I've finally pushed this to master, after working on mostly on the user
confirmation logic.  I deprecated `eglot-confirm-server-initiated-edits'
(had crap semantics anyway) and replaced it with a shiny new
'eglot-confirm-server-edits', with a simpler name but much more powerful
(see its docstring).

I left in Philip's new implementation of the diff confirmation but I
didn't make it the default (although it's my preferred one) because it
might appeal to everyone used to the "summary" prompt.

Please have a look, give it some testing, and tell me if I missed
anything.

Thanks to Philip for the original idea.

João